package com.training.config;

import com.training.entities.Personne;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Configuration
@ComponentScan("com.training")
@EnableAspectJAutoProxy
public class AppConfig {

	@Bean(name = "personnesListDataSource")
	List<Personne> getPersonnesListDataSource() {
		return new ArrayList<>(Arrays.asList(
				new Personne(1, "Julien", "Marshall", 55.0, 160.0, "rue de Nantes", "53000", "Laval", "France"),
				new Personne(2, "Julien", "Claire", 85.0, 175.0, "rue du Paradis", "75000", "Paris", "France"),
				new Personne(3, "Jacques", "Dupont", 62.0, 145.0, "rue des Passeurs", "75000", "Paris", "France"),
				new Personne(4, "Dupont", "Dupont", 62.0, 155.0, "rue des Passeurs", "75000", "Paris", "France"),
				new Personne(5, "Dupond", "Dupond", 62.0, 169.0, "rue des Passeurs", "75000", "Paris", "France"),
				new Personne(6, "Charles", "Hallyday", 100.0, 189.0, "rue des Feugrais", "76000", "Rouen", "France"),
				new Personne(7, "Serge", "Lama", 87.0, 200.0, "rue des Heureux", "44000", "Nantes", "France"),
				new Personne(8, "Vincent", "Thomas", 64.0, 178.0, "rue de Paris", "35000", "Rennes", "France"),
				new Personne(9, "Eric", "Dummat", 78.0, 195.0, "rue de Versaille", "75000", "Paris", "France"),
				new Personne(10, "Nicolas", "Samuel", 112.0, 199.0, "rue de Saint Louis", "53000", "Laval", "France"),
				new Personne(11, "Rmy", "Guerry", 96.0, 186.0, "rue des Sages", "69000", "Lyon", "France"),
				new Personne(12, "Nicolas", "Drapeau", 87.0, 165.0, "rue Mitterrand", "87000", "Limoges", "France"),
				new Personne(13, "Gaelle", "Letourneau", 75.0, 179.0, "rue Jean Franois", "76000", "Rouen", "France"),
				new Personne(14, "Anne", "Claire", 85.0, 194.0, "rue du Paradis", "75000", "Paris", "France")));
	}
}