package com.training.dao;

import java.util.List;

import com.training.entities.Personne;

public interface IPersonneDao {

	// crer une nouvelle Personne
	public Personne create(Personne person);

	// modifier une Personne existante et la retourner
	public Personne update(Personne person);

	// supprimer une Personne existante
	public boolean delete(Personne person);

	// obtenir tous les objets Personne
	List<Personne> findAll();

	// chercher une Personne avec son id
	Personne findById(Integer id);

	// chercher une Personne avec son prenom
	List<Personne> findByPrenom(String prenom);

	// chercher une Personne avec son nom
	List<Personne> findByNom(String nom);

	// chercher des Personnes avec son prenom et son nom
	List<Personne> findByPrenomNom(String prenom, String nom);

	// chercher des personnes avec leur codePostal
	List<Personne> findByCodePostal(String codePostal);

	// chercher des personnes avec leur ville
	List<Personne> findByVille(String ville);

	// chercher les Personnes obese
	List<Personne> findPersonnesObese();

	// chercher les Personne maigre
	List<Personne> findPersonnesMaigre();

	void simulateThrowException();
}
