package com.training.main;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;

import com.training.config.AppConfig;
import com.training.dao.IPersonneDao;

public class MainApp {
	private static final Log log = LogFactory.getLog(MainApp.class);

	public static void main(String[] args) {
		testLoggingAspect();
	}

	public static void testLoggingAspect() {
		try (AbstractApplicationContext context = new AnnotationConfigApplicationContext(AppConfig.class)) {
			IPersonneDao personneDao = context.getBean(IPersonneDao.class);
			personneDao.findAll();
			personneDao.findById(1);
			personneDao.findById(2);
			personneDao.findByCodePostal("75000");
			personneDao.findByVille("Paris");
			personneDao.findPersonnesObese();
			personneDao.findPersonnesMaigre();
			personneDao.simulateThrowException();
		} catch (Exception e) {
			log.error("Erreur lors de l'execution de la methode, Exception : " + e);
		}
	}
}
